NIHSTRO-DISASSEMBLE(1)

NAME
nihstro-disassemble - Utility for disassembling 3DS shader SHBIN files into human-readable source code

SYNOPSIS
nihstro-disassemble file [DVLE_index]

DESCRIPTION
nihstro-disassemble is a standalone shader disassembler for disassembling SHBIN files and inspecting meta data (symbol information, constant values, etc).

Options:

file
    Parses the shader binary header and outputs basic information on the DVLE sections.

file DVLE_index
    Parses the shader binary header and outputs basic information, but also disassembles the shader code using the information in the indexed DVLE (main offset, symbols, etc).

SEE ALSO
nihstro-assemble(1)

AUTHORS
-split nihstro-disassemble was written by Tony Wasserka

This manual page was written by David James <davidjamescastor215@proton.me>